//
//  DirectoryView.swift
//  UIDirectoryOnline
//
//  Created by Joe Gregg on 10/27/22.
//

import SwiftUI

struct DirectoryView: View {
    @StateObject var gateway : Gateway
    
    var body: some View {
        List {
            ForEach(gateway.people) { p in
                HStack {
                    Text(p.name)
                    Spacer()
                    Text(p.office)
                }
            }.onDelete(perform:delete)
                
        }
        .navigationTitle("Directory")
        .navigationBarTitleDisplayMode(.inline)
        .navigationBarItems(trailing: NavigationLink("+"){PersonView(gateway:gateway)} )
    }
    
    func delete(at offsets: IndexSet) {
        offsets.forEach { i in
            Task {await gateway.removePerson(at:i)
            }
        }
    }
}

struct DirectoryView_Previews: PreviewProvider {
    static var previews: some View {
        DirectoryView(gateway: Gateway())
    }
}
