//
//  ContentView.swift
//  UIDirectoryOnline
//
//  Created by Joe Gregg on 10/27/22.
//

import SwiftUI

struct LoginView: View {
    @StateObject var gateway : Gateway
    @State var goToMain = false
    @State var user : String = ""
    @State var password : String = ""
    
    var body: some View {
        NavigationView {
            VStack {
                NavigationLink(destination: DirectoryView(gateway:gateway), isActive: $goToMain) { EmptyView() }
                HStack {
                    Text("User:").frame(width:100,height:20,alignment: .trailing)
                    TextField("",text:$user).textFieldStyle(.roundedBorder).disableAutocorrection(true)
                }
                HStack {
                    Text("Password:").frame(width:100,height:20,alignment: .trailing)
                    SecureField("",text:$password).textFieldStyle(.roundedBorder)
                }
                HStack {
                    Button("New User"){
                        Task {
                        goToMain = await gateway.newUser(name: user, password: password)
                        }
                    }.buttonStyle(.borderedProminent).padding()
                    Spacer()
                    Button("Log In"){
                        Task {
                            goToMain = await gateway.login(name: user, password: password)
                        }
                    }.buttonStyle(.borderedProminent).padding()
                }
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        LoginView(gateway: Gateway())
    }
}
