//
//  PersonView.swift
//  UIDirectoryOnline
//
//  Created by Joe Gregg on 10/27/22.
//

import SwiftUI

struct PersonView: View {
    @StateObject var gateway : Gateway
    @State var name : String = ""
    @State var office : String = ""
    
    var body: some View {
        VStack {
            HStack {
                Text("Name:").frame(width:60,height:20,alignment: .trailing)
                TextField("",text:$name).textFieldStyle(.roundedBorder)
            }
            HStack {
                Text("Office:").frame(width:60,height:20,alignment: .trailing)
                TextField("",text:$office).textFieldStyle(.roundedBorder)
            }
            Button("Save Changes"){
                Task {
                    let p = Person(name: name, office: office)
                    await gateway.addPerson(p)
                }
            }.buttonStyle(.borderedProminent).padding()
        }
    }
}

struct PersonView_Previews: PreviewProvider {
    static var previews: some View {
        PersonView(gateway:Gateway())
    }
}

